<?php
$servername = "localhost";
$username = "root";
$password = ""; // Cambiar si tienes una contraseña configurada para el usuario root en MySQL
$dbname = "calendario_dian";

// Crear conexión
$conn = new mysqli($servername, $username, $password, $dbname);

// Verificar conexión
if ($conn->connect_error) {
    die("Conexión fallida: " . $conn->connect_error);
}

$cedula = '';
$fecha_vencimiento = '';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $cedula = $_POST['cedula'];
    $digitos = substr($cedula, -2); // Obtener los dos últimos dígitos

    $sql = "SELECT mes, dia FROM fechas_vencimiento WHERE digito_final LIKE '%$digitos%'";
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            $fecha_vencimiento = "La fecha máxima para presentar la declaración de renta es:<br><span class='highlight'>" . $row["dia"] . " de " . $row["mes"] . " de 2024</span>";
        }
    } else {
        $fecha_vencimiento = "No se encontraron resultados para los dígitos ingresados.";
    }
}

$conn->close();
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Consulta de Fecha de Vencimiento</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <div class="container">
        <h1>Consulta de Fecha de Vencimiento declaración de renta vigencia 2023</h1>
        <form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" id="consultaForm">
            <input type="text" name="cedula" placeholder="Ingresa tu número de cédula" required>
            <input type="submit" value="Consultar">
        </form>
        <div class="result">
            <?php echo $fecha_vencimiento; ?>
        </div>
        <?php if (!empty($fecha_vencimiento)) { ?>
            <div class="asesoria">
                <p>¿Necesitas ayuda con tu declaración de renta?</p>
                <a href="https://wa.me/573117098269" target="_blank" class="whatsapp-button">
                    <img src="logo.png" alt="WhatsApp logo"> Contáctanos al WhatsApp
                </a>
                <button onclick="resetForm()" class="reset-button">Realizar otra consulta</button>
            </div>
        <?php } ?>
    </div>
    <script>
        function resetForm() {
            document.getElementById('consultaForm').reset();
            document.querySelector('.result').innerHTML = '';
            document.querySelector('.asesoria').style.display = 'none';
        }
    </script>
</body>
</html>
